Nearglass

Rotate the stream key

The old key stops working; its live ingest session ends (the gateway's next sync, and its publisher token is closed at the relay).

POST
/v1/streams/{id}/stream-key

The old key stops working; its live ingest session ends (the gateway's next sync, and its publisher token is closed at the relay).

Authorization

secretKey
headerAuthorizationBearer <token>

sk_...

Path Parameters

id*string

Response Body

the new key, shown once

application/json
  1. response
id?string
publish?
Example Request
curl -X POST 'https://api.nearglass.com/v1/streams/st_8f2c41d09a7be3105c6e2d77/stream-key'
Example Response
{  "id": "string",  "publish": {    "stream_key": "string",    "rtmp": "string",    "srt": "string",    "rtmp_server": "string",    "srt_server": "string",    "sdk": {      "relays": [        "string"      ],      "namespace": "string",      "token_endpoint": "string"    }  }}